2009年5月20日

[debian-users:52473] [Translate] [SECURITY] [DSA 1802-1] New squirrelmail packages fixseveral vulnerabilities

かねこです。
URL 等は Debian-security-announce メーリングリストの元記事を確認
ください。

------>8------------>8------------>8------------>8------------>8-
- ------------------------------------------------------------------------
Debian Security Advisory DSA-1802-1 security@xxxxx
http://www.debian.org/security/ Thijs Kinkhorst

May 19, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : squirrelmail
Vulnerability : 複数
Problem type : リモート
Debian-specific: いいえ
CVE Id(s) : CVE-2009-1578 CVE-2009-1579 CVE-2009-1580 CVE-2009-1581
Debian Bug : 528528

ウェブメールアプリケーション SquirrelMail に、リモートから攻撃可能な複数
の問題が発見されました。 The Common Vulnerabilities and Exposures project
は以下の問題を認識しています。

CVE-2009-1578

多数のページでクロスサイトスクリプティング攻撃を許すため、攻撃により
機密のセッションデータを盗むことが可能です。

CVE-2009-1579

SquirrelMail が map_yp_alias を有効にするよう設定している場合、認証さ
れたユーザからのコードインジェクションが可能です。この設定は規定値で
はありません。

CVE-2009-1580

ブラウザに細工したクッキーを送り込むことで、アクティブユーザのセッシ
ョンをハイジャック可能です。

CVE-2009-1581

細工した HTML メールが CSS ポジショニング機能を使えるため、
SquirrelMail のユーザインターフェースに電子メールの内容を重ねて表示し、
フィッシング攻撃を行うことが可能です。

旧安定版 (oldstable) ディストリビューション (etch) では、これらの問題は
バージョン 1.4.9a-4 で修正されています。

安定版 (stable) ディストリビューション (lenny) では、これらの問題はバ
ージョン 1.4.15-4+lenny1 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、これらの問題はバー
ジョン 1.4.18-1 で修正されています。

直ぐに squirrelmail パッケージをアップグレードすることを勧めます。


アップグレード手順
------------------

wget url
でファイルを取得できます。
dpkg -i file.deb
で参照されたファイルをインストールできます。

apt-get パッケージマネージャを用いている場合には、本メールのフッタ記載の
行を sources.list に加えて、

apt-get update
を実行して内部データベースを更新し、
apt-get upgrade
によって修正されたパッケージをインストールしてください。

本メールのフッタ記載の設定を自ホストの設定に加えることにより、自動更新を
行うこともできます。


Debian GNU/Linux 4.0 alias etch
- -------------------------------

ソースアーカイブ:

http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-4.dsc
Size/MD5 checksum: 1021 c3b30d221d83b84f3da9d05d143aa950

http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-4.diff.gz
Size/MD5 checksum: 27710 1ac9a374320a25feb8702c481f07f69d

http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a.orig.tar.gz
Size/MD5 checksum: 598950 5b19f8cc5badef91d1f2410df41564bc

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-4_all.deb
Size/MD5 checksum: 593578 67c67fb13e4dc98739aab5264a4438c4

Debian GNU/Linux 5.0 alias lenny
- --------------------------------

ソースアーカイブ:


http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.15.orig.tar.gz
Size/MD5 checksum: 621320 87b466fef98e770307afffd75fe25589

http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.15-4+lenny1.diff.gz
Size/MD5 checksum: 26677 e7ef140569ced51ec588475ecf263240

http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.15-4+lenny1.dsc
Size/MD5 checksum: 1524 331663015bb223994af67352c96d2d88

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.15-4+lenny1_all.deb
Size/MD5 checksum: 609050 7730eb126fcfbed0abed8a3ff304f2c0


これらのファイルは次の版の安定版リリース時そちらに移されます。


- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@xxxxx
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<;pkg>
------>8------------>8------------>8------------>8------------>8-
--
Seiji Kaneko skaneko@xxxxx
---------------------------------------------------------

投稿者 xml-rpc : 2009年5月20日 20:52
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/85222
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。